#ifndef __FILEDB_H_
#define __FILEDB_H_

#include "common.h"


int file_touch (int fd, pt_t *beg_pt, pt_t *end_pt);
char *new_fname (char *buf, char *base_name, char *base_ext, time_t time);
int last_fname_id (char *base_dir, char *base_name);

int enum_files (filedb_t *filedb);
int print_enum_files (filedb_t *filedb);
int query_files (filedb_t *filedb, double t_beg, double t_end, pt_t **pt_buf, int *size);
int delete_old_files (filedb_t *filedb, double t);

#endif // __FILEDB_H_